Subject: RE: Interpretation of Request-URI Definition

From: "Deschenes, David" <[email-masked]>
Date: Fri, 20 May 2005 16:10:04 +0000

Another question: does RFC 2616 need to be updated to reflect the fact
that RFC 2396 has been replaced by RFC 3986?  Is anyone looking into
doing that?

Regards,
David Deschenes
System Developer
EXTOL International 

> -----Original Message-----
> From: Deschenes, David 
> Sent: Thursday, May 19, 2005 2:28 PM
> To: [email-masked]'
> Subject: Interpretation of Request-URI Definition
> 
> I'm having some trouble interpreting the definition of 
> Request-URI in section 5.1.2 of RFC 2616.  It seems to me 
> that the definition allows nonsensical request URIs like 
> ftp://myserver.com/.  Is it fair to say that, in practice, 
> the definition of Request-URI is as follows (definition of 
> http_URL is taken directly from section 3.2.2 of RFC 2616)?
> 
> 	Request-URI = "*" | http_URL | abs_path [ "?" query ]
> 
> Also, is the definition of http_URL in section 3.2.2 to be 
> taken as the definition of the HTTP URI scheme?
> 
> Regards,
> David Deschenes
> System Developer
> EXTOL International